## therion 0.3.0-1

=== Makefile ===
# common therion objects
CMNOBJECTS = thdate.o \
  thexception.o thbuffer.o thmbuffer.o thlogfile.o thtmpdir.o \
  thparse.o thcmdline.o thconfig.o thinput.o thchenc.o thdatabase.o \
  thdataobject.o thdatareader.o thsurvey.o thendsurvey.o thdata.o \
  thperson.o thtf.o thtfangle.o thtflength.o thtfpwf.o \
  thdataleg.o thobjectname.o thinfnan.o thlayout.o \
  thinit.o thdb1d.o thsvxctrl.o thdatastation.o thobjectid.o \
  thobjectsrc.o thgrade.o thlibrary.o \
  thexport.o thexporter.o thselector.o extern/img.o \
  thexpmodel.o thdb2d00.o thscrapis.o \
  thdb2d.o thscrap.o thendscrap.o th2ddataobject.o thdb2dprj.o \
  thdb2dpt.o thdb2dlp.o thdb2dab.o thdb2dji.o thdb2dmi.o thdb2dcp.o \
  thdb2dxm.o thdb2dxs.o thscraplo.o thscraplp.o thscrapen.o \
  thpoint.o thline.o tharea.o \
  thjoin.o thmap.o thexpmap.o thlayoutln.o \
  thconvert.o thpdf.o thpdfdbg.o thpdfdata.o thtexfonts.o \
  thsymbolset.o thlang.o thmapstat.o thexpdb.o \
  thcdt.o thdb3d.o \
  therion.o

# PLATFORM CONFIG

# PLATFORM LINUX
CXX = g++
CC = gcc
POBJECTS =
CXXPFLAGS = -DTHLINUX
CCPFLAGS = -DTHLINUX
THPLATFORM = LINUX
THXTHMKCMD = ./therion

# PLATFORM WIN32
##CXX = c++
##CC = gcc
##POBJECTS = extern/getopt.o extern/getopt1.o therion.res
##CXXPFLAGS = -DTHWIN32
##CCPFLAGS = -DTHWIN32
##THPLATFORM = WIN32
##THXTHMKCMD = therion

# PLATFORM MACOSX
##CXX = c++
##CC = cc
##POBJECTS = extern/getopt.o extern/getopt1.o
##CXXPFLAGS = -DTHMACOSX
##CCPFLAGS = -DTHMACOSX
##THPLATFORM = MACOSX
##THXTHMKCMD = ./therion

# PLATFORM ENDCONFIG


# BUILD CONFIG

# BUILD OZONE
##CCBFLAGS = -O3
##CXXBFLAGS = -O3

# BUILD OXYGEN
##CCBFLAGS = -O2
##CXXBFLAGS = -O2

# BUILD RELEASE
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CCBFLAGS = -O0
CXXBFLAGS = -O0
else
CCBFLAGS = 
CXXBFLAGS = 
endif

# BUILD DEBUG
##CCBFLAGS = -ggdb
##CXXBFLAGS = -ggdb -DTHDEBUG

# BUILD ENDCONFIG


# compiler settings
CXXFLAGS = -g -Wall -D_GNU_SOURCE $(CXXPFLAGS) $(CXXBFLAGS)
CCFLAGS = -g -Wall -D_GNU_SOURCE $(CCPFLAGS) $(CCBFLAGS)
OBJECTS = $(POBJECTS) $(CMNOBJECTS)

# linker settings
LIBS =
LDFLAGS =


.SUFFIXES:
.SUFFIXES: .cxx .o .h .c

.cxx.o:
	$(CXX) -c $(CXXFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CCFLAGS) -o $@ $<

all: therion xtherion/xtherion doc

therion:	$(OBJECTS)
	$(CXX) -Wall -o therion $(OBJECTS) $(LDFLAGS) $(LIBS) 


therion.res: therion.rc
	windres -i therion.rc -I rc -o therion.res -O coff

init:
	./therion --print-init-file > therion.ini

install: all
	perl makeinstall.pl $(THPLATFORM)


release: clean
	perl makerelease.pl

archive: clean
	perl makearchive.pl

binary: all doc
	perl makebinary.pl $(THPLATFORM)
  
depend:
	perl makedepend.pl > Makefile.dep
	perl maketest.pl Makefile.dep
	perl makefile.pl mv Makefile.dep Makefile
	$(CXX) -MM $(CXXFLAGS) *.cxx >> Makefile

library:
	$(THXTHMKCMD) --print-library-src thlibrarydata.thcfg > thlibrarydata.log
	$(THXTHMKCMD) --print-xtherion-src > xtherion/therion.tcl
	perl makelibrary.pl thlibrarydata.log > thlibrarydata.tmp
	perl maketest.pl thlibrarydata.tmp
	perl makefile.pl mv thlibrarydata.tmp thlibrarydata.cxx


xtherion/xtherion: xtherion/*.tcl
	make -C ./xtherion

doc: thbook/thbook.pdf

thbook/thbook.pdf: thbook/*.tex
	make -C ./thbook
  
clean:
	make -C ./xtherion clean
	perl makefile.pl rm -q therion ./xtherion/xtherion ./xtherion/xtherion.tcl therion.exe *~ *.log *.o thchencdata/*~
	perl makefile.pl rm -q xtherion/*~ .xth-thconfig xtherion/screendump thlang/*~
	perl makefile.pl rm -q extern/*.o extern/*~
	perl makefile.pl rm -q tri/*.o tri/*~
	perl makefile.pl rm -q tests/*~
	perl makefile.pl rm -q tex/*~
	perl makefile.pl rm -q mpost/*~
	perl makefile.pl rm -q core
	perl makefile.pl rm -q data.3d data.svx data.pos data.pts data.err data.plt
	perl makefile.pl rm -q cave.3d cave.thm cave.pdf cave.sql cave.svg therion.tcl cave_a.pdf cave_m.pdf cave.vrml cave.wrl cave.3dmf
	perl makefile.pl rm -q ./thbook/*~ ./thbook/thbook.log ./thbook/thbook.pdf ./lib/*~ ./mpost/*~ ./tex/*~
	perl makefile.pl rm -q ./thtom/linux/Tom0.2/*.so ./thtom/linux/Tom0.2/*.o ./thtom/linux/Tom0.2/tom ./thtom/linux/Tom0.2/stom
	perl makefile.pl rm -q ./thtom/win/Tom0.2/*.dll ./thtom/win/Tom0.2/*.o ./thtom/win/Tom0.2/tom.exe ./thtom/win/Tom0.2/stom.exe
	perl makefile.pl rmdir -q doc thTMPDIR

thmpost.h: mpost/*.mp
	make -C ./mpost

thsymbolsetlist.h: thsymbolsetlist.pl mpost/thTrans.mp
	perl thsymbolsetlist.pl
  
thtex.h: tex/*.tex
	make -C ./tex
  
update:
	make -C ./thlang update
  
thlangdata.cxx: thlang/texts.txt
	make -C ./thlang

config-debug:
	perl makeconfig.pl BUILD DEBUG
  
config-release:
	perl makeconfig.pl BUILD RELEASE

config-oxygen:
	perl makeconfig.pl BUILD OXYGEN
  
config-ozone:
	perl makeconfig.pl BUILD OZONE
  
config-linux:
	perl makeconfig.pl PLATFORM LINUX
  
config-win32:
	perl makeconfig.pl PLATFORM WIN32
  
config-macosx:
	perl makeconfig.pl PLATFORM MACOSX

# external sources
extern/getopt.o: extern/getopt.c extern/getopt.h
extern/getopt1.o: extern/getopt1.c
extern/img.o: extern/img.c extern/img.h
tri/construct.o: tri/triangulate.h tri/construct.c
tri/misc.o: tri/triangulate.h tri/misc.c
tri/monotone.o: tri/triangulate.h tri/monotone.c
tri/tri.o: tri/triangulate.h tri/tri.c

# DEPENDENCIES
orient.o: orient.cxx
th2ddataobject.o: th2ddataobject.cxx th2ddataobject.h thdataobject.h \
  thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
  thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
  thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h thdb2dpt.h \
  thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h \
  thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
  thexception.h thchenc.h thchencdata.h
tharea.o: tharea.cxx tharea.h th2ddataobject.h thdataobject.h \
  thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
  thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
  thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h thdb2dpt.h \
  thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h \
  thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
  thexception.h thchenc.h thchencdata.h thexpmap.h thexport.h \
  thsymbolset.h thsymbolsetlist.h thlayout.h thlang.h thlangdata.h \
  thline.h
thbuffer.o: thbuffer.cxx thbuffer.h
thcdt.o: thcdt.cxx thcdt.h thcdt/geom2d.h thcdt/myMacro.h thcdt/cdt.h \
  thcdt/cdt.cpp
thchenc.o: thchenc.cxx thchenc.h thchencdata.h thparse.h thbuffer.h \
  thmbuffer.h thchencdata.cxx therion.h thexception.h
thchencdata.o: thchencdata.cxx
thcmdline.o: thcmdline.cxx thcmdline.h therion.h thlogfile.h thbuffer.h \
  thconfig.h thmbuffer.h thinput.h thparse.h thexporter.h thexport.h \
  thobjectsrc.h thselector.h extern/getopt.h thtmpdir.h
thconfig.o: thconfig.cxx thconfig.h thbuffer.h thmbuffer.h thinput.h \
  thparse.h thexporter.h thexport.h thobjectsrc.h thselector.h therion.h \
  thchenc.h thchencdata.h thexception.h thdatabase.h thdataobject.h \
  thperson.h thdate.h thdataleg.h thobjectname.h thdb1d.h thobjectid.h \
  thinfnan.h thdb3d.h thdb2d.h thdb2dprj.h thmapstat.h thdb2dpt.h \
  thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h \
  thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
  thdatareader.h
thconvert.o: thconvert.cxx thpdfdbg.h thexception.h therion.h thbuffer.h \
  thpdfdata.h thtexfonts.h
thdatabase.o: thdatabase.cxx thdatabase.h thdataobject.h thperson.h \
  thparse.h thbuffer.h thmbuffer.h thdate.h thdataleg.h thobjectname.h \
  therion.h thobjectsrc.h thdb1d.h thobjectid.h thinfnan.h thdb3d.h \
  thdb2d.h thdb2dprj.h thmapstat.h thdb2dpt.h thdb2dlp.h thdb2dab.h \
  thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
  thlayoutln.h thscrapen.h thscraplp.h thsurvey.h thtfpwf.h thendsurvey.h \
  thexception.h thdata.h thtfangle.h thtf.h thtflength.h thcmdline.h \
  thdatastation.h thgrade.h thlayout.h thsymbolset.h thsymbolsetlist.h \
  thscrap.h th2ddataobject.h thpoint.h thline.h tharea.h thjoin.h thmap.h \
  thendscrap.h
thdata.o: thdata.cxx thdata.h thdataleg.h thparse.h thbuffer.h \
  thmbuffer.h thobjectname.h therion.h thobjectsrc.h thdataobject.h \
  thdatabase.h thdb1d.h thobjectid.h thinfnan.h thdb3d.h thdb2d.h \
  thdb2dprj.h thmapstat.h thdate.h thperson.h thdb2dpt.h thdb2dlp.h \
  thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h \
  thscraplo.h thlayoutln.h thscrapen.h thscraplp.h thtfangle.h thtf.h \
  thtflength.h thtfpwf.h thexception.h thchenc.h thchencdata.h thsurvey.h \
  thgrade.h thdatareader.h thinput.h
thdataleg.o: thdataleg.cxx thdataleg.h thparse.h thbuffer.h thmbuffer.h \
  thobjectname.h therion.h thobjectsrc.h thinfnan.h
thdataobject.o: thdataobject.cxx thdataobject.h thdatabase.h thmbuffer.h \
  thbuffer.h thdb1d.h thobjectid.h thinfnan.h thdataleg.h thparse.h \
  thobjectname.h therion.h thobjectsrc.h thdb3d.h thdb2d.h thdb2dprj.h \
  thmapstat.h thdate.h thperson.h thdb2dpt.h thdb2dlp.h thdb2dab.h \
  thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
  thlayoutln.h thscrapen.h thscraplp.h thexception.h thchenc.h \
  thchencdata.h thsurvey.h thtfpwf.h
thdatareader.o: thdatareader.cxx thdatareader.h thdatabase.h \
  thdataobject.h thperson.h thparse.h thbuffer.h thmbuffer.h thdate.h \
  thdataleg.h thobjectname.h therion.h thobjectsrc.h thdb1d.h \
  thobjectid.h thinfnan.h thdb3d.h thdb2d.h thdb2dprj.h thmapstat.h \
  thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h \
  thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
  thinput.h thexception.h
thdatastation.o: thdatastation.cxx thdatastation.h thdataobject.h \
  thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
  thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
  thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h thdb2dpt.h \
  thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h \
  thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
  thexception.h thchenc.h thchencdata.h
thdate.o: thdate.cxx thdate.h thparse.h thbuffer.h thmbuffer.h \
  thexception.h therion.h
thdb1d.o: thdb1d.cxx thdb1d.h thobjectid.h thinfnan.h thdataleg.h \
  thparse.h thbuffer.h thmbuffer.h thobjectname.h therion.h thobjectsrc.h \
  thdb3d.h thsurvey.h thdataobject.h thdatabase.h thdb2d.h thdb2dprj.h \
  thmapstat.h thdate.h thperson.h thdb2dpt.h thdb2dlp.h thdb2dab.h \
  thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
  thlayoutln.h thscrapen.h thscraplp.h thtfpwf.h thsvxctrl.h \
  thexception.h thdata.h thtfangle.h thtf.h thtflength.h thlogfile.h
thdb2d00.o: thdb2d00.cxx thdb2d.h thinfnan.h thdb2dprj.h thparse.h \
  thbuffer.h thmbuffer.h thmapstat.h thdate.h thperson.h thdb2dpt.h \
  thdb2dlp.h thdb2dab.h thobjectname.h therion.h thobjectsrc.h thdb2dji.h \
  thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h \
  thscrapen.h thscraplp.h thdb1d.h thobjectid.h thdataleg.h thdb3d.h \
  thexception.h thdatabase.h thdataobject.h thtfangle.h thtf.h tharea.h \
  th2ddataobject.h thmap.h thjoin.h thpoint.h thline.h thscrap.h \
  thsurvey.h thtfpwf.h thlogfile.h thlayout.h thsymbolset.h \
  thsymbolsetlist.h thconfig.h thinput.h thexporter.h thexport.h \
  thselector.h
thdb2dab.o: thdb2dab.cxx thdb2dab.h thobjectname.h thmbuffer.h therion.h \
  thobjectsrc.h
thdb2dcp.o: thdb2dcp.cxx thdb2dcp.h thdb2dpt.h
thdb2d.o: thdb2d.cxx thdb2d.h thinfnan.h thdb2dprj.h thparse.h thbuffer.h \
  thmbuffer.h thmapstat.h thdate.h thperson.h thdb2dpt.h thdb2dlp.h \
  thdb2dab.h thobjectname.h therion.h thobjectsrc.h thdb2dji.h thdb2dmi.h \
  thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h \
  thscraplp.h thdb1d.h thobjectid.h thdataleg.h thdb3d.h thexception.h \
  thdatabase.h thdataobject.h thtfangle.h thtf.h tharea.h \
  th2ddataobject.h thmap.h thjoin.h thpoint.h thline.h thscrap.h \
  thsurvey.h thtfpwf.h thlogfile.h thlayout.h thsymbolset.h \
  thsymbolsetlist.h
thdb2dji.o: thdb2dji.cxx thdb2dji.h thobjectname.h thmbuffer.h therion.h \
