=== debian/changelog ===
therion (0.3.0-1) unstable; urgency=low

  * New upstream release
  * More thorough use of debhelper

 -- Wookey <wookey@survex.com>  Sat, 17 Apr 2004 22:23:07 +0100

therion (0.2.19-1) unstable; urgency=low

  * New upstream release

 -- Wookey <wookey@survex.com>  Thu,  4 Mar 2004 22:29:36 +0000

therion (0.2.18-1) unstable; urgency=low

  * New upstream release

 -- Wookey <wookey@survex.com>  Fri, 13 Feb 2004 01:49:35 +0000

therion (0.2.17-1) unstable; urgency=low

  * New upstream release

 -- Wookey <wookey@survex.com>  Sun, 21 Dec 2003 22:04:41 +0000

therion (0.2.15-1) unstable; urgency=low

  * New upstream release
  * Manpages for therion and xtherion now in upstream version

 -- Wookey <wookey@survex.com>  Tue,  9 Sep 2003 20:35:04 +0100

therion (0.2.14-1) unstable; urgency=low

  * New upstream release
  * thconvert projection change corrected
  * TeX/Metapost macros no longer installed (because they are compiled in)
  * Config file syntax changed

 -- Wookey <wookey@survex.com>  Thu, 17 Jul 2003 17:22:52 +0100

therion (0.2.13-1) unstable; urgency=low

  * New upstream release - source reorganised, most Debian patches incorporated
  * thpdf and theps2pdf incorporated into therion itself
  * Made compatible with g++3.3 (closes: bug#195802)
  * thconvert now deals with thconfig format changes too
 
 -- Wookey <wookey@survex.com>  Fri, 20 Jun 2003 22:28:42 +0100

therion (0.2.10-1) unstable; urgency=low

  * Therion book moved to source dir
  * Transparency and opacity options introduced
  * Make simplified (no make xtherion and make thpdf any more)
  * xtherion.ini config file for xtherion added.
  * All C++ compile warnings fixed
  * makeconvert.pl and makeconvert2.pl combined into thconvert utility 

 -- Wookey <wookey@survex.com>  Mon,  29 Apr 2003 00:35:27 +0000

therion (0.2.9-3) unstable; urgency=low

  * Added missing bwidget dependency (for xtherion). (closes: bug#189465)

 -- Wookey <wookey@survex.com>  Mon,  21 Apr 2003 18:31:47 +0000

therion (0.2.9-2) unstable; urgency=low

  * Added missing tclsh build dependency. (closes: bug#189578)

 -- Wookey <wookey@survex.com>  Mon,  21 Apr 2003 17:22:00 +0000

therion (0.2.9-1) unstable; urgency=low

  * New upstream release - proper version numbering
  * Incompatible data format changes - thconvert added to help convert

 -- Wookey <wookey@survex.com>  Fri,  7 Mar 2003 23:47:15 +0000

therion (0.0.20021212-2) unstable; urgency=low

  * Tidying up of Debianization - Readme's etc

 -- Wookey <wookey@survex.com>  Wed, 18 Dec 2002 09:59:25 +0000

therion (0.0.20021212-1) unstable; urgency=low

  * Initial Release.

 -- Wookey <wookey@survex.com>  Wed, 18 Dec 2002 09:59:25 +0000
