## therion 0.3.3

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
   thjoin.o thmap.o thexpmap.o thlayoutln.o \
   thconvert.o thpdf.o thpdfdbg.o thpdfdata.o thtexfonts.o \
   thsymbolset.o thlang.o thmapstat.o thexpdb.o \
-  thcdt.o thdb3d.o \
+  thcdt.o thdb3d.o thsurface.o \
   therion.o
 
 # PLATFORM CONFIG
@@ -58,17 +58,12 @@
 ##CXXBFLAGS = -O3
 
 # BUILD OXYGEN
-##CCBFLAGS = -O2
-##CXXBFLAGS = -O2
+CCBFLAGS = -O2
+CXXBFLAGS = -O2
 
 # BUILD RELEASE
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-CCBFLAGS = -O0
-CXXBFLAGS = -O0
-else
-CCBFLAGS = 
-CXXBFLAGS = 
-endif
+##CCBFLAGS = 
+##CXXBFLAGS = 
 
 # BUILD DEBUG
 ##CCBFLAGS = -ggdb
@@ -78,8 +73,8 @@
 
 
 # compiler settings
-CXXFLAGS = -g -Wall -D_GNU_SOURCE $(CXXPFLAGS) $(CXXBFLAGS)
-CCFLAGS = -g -Wall -D_GNU_SOURCE $(CCPFLAGS) $(CCBFLAGS)
+CXXFLAGS = -Wall -D_GNU_SOURCE $(CXXPFLAGS) $(CXXBFLAGS)
+CCFLAGS = -Wall -D_GNU_SOURCE $(CCPFLAGS) $(CCBFLAGS)
 OBJECTS = $(POBJECTS) $(CMNOBJECTS)
 
 # linker settings
@@ -112,11 +107,14 @@
 	perl makeinstall.pl $(THPLATFORM)
 
 
-release: clean
+release:
 	perl makerelease.pl
 
 archive: clean
 	perl makearchive.pl
+
+release-archive: clean
+	perl makearchive2.pl
 
 binary: all doc
 	perl makebinary.pl $(THPLATFORM)
@@ -206,14 +204,13 @@
 tri/tri.o: tri/triangulate.h tri/tri.c
 
 # DEPENDENCIES
-orient.o: orient.cxx
 th2ddataobject.o: th2ddataobject.cxx th2ddataobject.h thdataobject.h \
   thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
   thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
   thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h thdb2dpt.h \
   thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h \
   thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
-  thexception.h thchenc.h thchencdata.h
+  thexception.h thsymbolset.h thsymbolsetlist.h thchenc.h thchencdata.h
 tharea.o: tharea.cxx tharea.h th2ddataobject.h thdataobject.h \
   thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
   thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
@@ -251,7 +248,7 @@
   thexception.h thdata.h thtfangle.h thtf.h thtflength.h thcmdline.h \
   thdatastation.h thgrade.h thlayout.h thsymbolset.h thsymbolsetlist.h \
   thscrap.h th2ddataobject.h thpoint.h thline.h tharea.h thjoin.h thmap.h \
-  thendscrap.h
+  thsurface.h thendscrap.h
 thdata.o: thdata.cxx thdata.h thdataleg.h thparse.h thbuffer.h \
   thmbuffer.h thobjectname.h therion.h thobjectsrc.h thdataobject.h \
   thdatabase.h thdb1d.h thobjectid.h thinfnan.h thdb3d.h thdb2d.h \
@@ -291,7 +288,8 @@
   thmapstat.h thdate.h thperson.h thdb2dpt.h thdb2dlp.h thdb2dab.h \
   thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
   thlayoutln.h thscrapen.h thscraplp.h thtfpwf.h thsvxctrl.h \
-  thexception.h thdata.h thtfangle.h thtf.h thtflength.h thlogfile.h
+  thexception.h thdata.h thtfangle.h thtf.h thtflength.h thlogfile.h \
+  thsurface.h
 thdb2d00.o: thdb2d00.cxx thdb2d.h thinfnan.h thdb2dprj.h thparse.h \
   thbuffer.h thmbuffer.h thmapstat.h thdate.h thperson.h thdb2dpt.h \
   thdb2dlp.h thdb2dab.h thobjectname.h therion.h thobjectsrc.h thdb2dji.h \
