## therion 0.3.6

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
   thjoin.o thmap.o thexpmap.o thlayoutln.o \
   thconvert.o thpdf.o thpdfdbg.o thpdfdata.o thtexfonts.o \
   thsymbolset.o thlang.o thmapstat.o thexpdb.o \
-  thcdt.o thdb3d.o thsurface.o \
+  extern/lxMath.o thcdt.o thdb3d.o thsurface.o thimport.o \
   therion.o
 
 # PLATFORM CONFIG
@@ -27,6 +27,7 @@
 POBJECTS =
 CXXPFLAGS = -DTHLINUX
 CCPFLAGS = -DTHLINUX
+LDPFLAGS = -s
 THPLATFORM = LINUX
 THXTHMKCMD = ./therion
 
@@ -36,6 +37,7 @@
 ##POBJECTS = extern/getopt.o extern/getopt1.o therion.res
 ##CXXPFLAGS = -DTHWIN32
 ##CCPFLAGS = -DTHWIN32
+##LDPFLAGS = -s
 ##THPLATFORM = WIN32
 ##THXTHMKCMD = therion
 
@@ -45,6 +47,7 @@
 ##POBJECTS = extern/getopt.o extern/getopt1.o
 ##CXXPFLAGS = -DTHMACOSX
 ##CCPFLAGS = -DTHMACOSX
+##LDPFLAGS =
 ##THPLATFORM = MACOSX
 ##THXTHMKCMD = ./therion
 
@@ -56,30 +59,34 @@
 # BUILD OZONE
 ##CCBFLAGS = -O3
 ##CXXBFLAGS = -O3
+##LDBFLAGS =
 
 # BUILD OXYGEN
-CCBFLAGS = -O2
-CXXBFLAGS = -O2
+##CCBFLAGS = -O2
+##CXXBFLAGS = -O2
+##LDBFLAGS =
 
 # BUILD RELEASE
-##CCBFLAGS = 
-##CXXBFLAGS = 
+CCBFLAGS = 
+CXXBFLAGS = 
+LDBFLAGS =
 
 # BUILD DEBUG
 ##CCBFLAGS = -ggdb
 ##CXXBFLAGS = -ggdb -DTHDEBUG
+##LDBFLAGS = 
 
 # BUILD ENDCONFIG
 
 
 # compiler settings
-CXXFLAGS = -Wall -D_GNU_SOURCE $(CXXPFLAGS) $(CXXBFLAGS)
-CCFLAGS = -Wall -D_GNU_SOURCE $(CCPFLAGS) $(CCBFLAGS)
+CXXFLAGS = -Wall $(CXXPFLAGS) $(CXXBFLAGS)
+CCFLAGS = -Wall $(CCPFLAGS) $(CCBFLAGS)
 OBJECTS = $(POBJECTS) $(CMNOBJECTS)
 
 # linker settings
 LIBS =
-LDFLAGS =
+LDFLAGS = $(LDBFLAGS) $(LDPFLAGS)
 
 
 .SUFFIXES:
@@ -207,16 +214,16 @@
 th2ddataobject.o: th2ddataobject.cxx th2ddataobject.h thdataobject.h \
   thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
   thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
-  thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h thdb2dpt.h \
-  thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h \
-  thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
+  extern/lxMath.h thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h \
+  thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h \
+  thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
   thexception.h thsymbolset.h thsymbolsetlist.h thchenc.h thchencdata.h
 tharea.o: tharea.cxx tharea.h th2ddataobject.h thdataobject.h \
   thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
   thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
-  thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h thdb2dpt.h \
-  thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h \
-  thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
+  extern/lxMath.h thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h \
+  thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h \
+  thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
   thexception.h thchenc.h thchencdata.h thexpmap.h thexport.h \
   thsymbolset.h thsymbolsetlist.h thlayout.h thlang.h thlangdata.h \
   thline.h
@@ -232,72 +239,72 @@
 thconfig.o: thconfig.cxx thconfig.h thbuffer.h thmbuffer.h thinput.h \
   thparse.h thexporter.h thexport.h thobjectsrc.h thselector.h therion.h \
   thchenc.h thchencdata.h thexception.h thdatabase.h thdataobject.h \
-  thperson.h thdate.h thdataleg.h thobjectname.h thdb1d.h thobjectid.h \
-  thinfnan.h thdb3d.h thdb2d.h thdb2dprj.h thmapstat.h thdb2dpt.h \
-  thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h \
-  thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
+  thperson.h thdate.h thdataleg.h thobjectname.h thinfnan.h thdb1d.h \
+  thobjectid.h thdb3d.h extern/lxMath.h thdb2d.h thdb2dprj.h thmapstat.h \
+  thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h \
+  thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
   thdatareader.h
 thconvert.o: thconvert.cxx thpdfdbg.h thexception.h therion.h thbuffer.h \
   thpdfdata.h thtexfonts.h
 thdatabase.o: thdatabase.cxx thdatabase.h thdataobject.h thperson.h \
   thparse.h thbuffer.h thmbuffer.h thdate.h thdataleg.h thobjectname.h \
-  therion.h thobjectsrc.h thdb1d.h thobjectid.h thinfnan.h thdb3d.h \
-  thdb2d.h thdb2dprj.h thmapstat.h thdb2dpt.h thdb2dlp.h thdb2dab.h \
-  thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
-  thlayoutln.h thscrapen.h thscraplp.h thsurvey.h thtfpwf.h thendsurvey.h \
-  thexception.h thdata.h thtfangle.h thtf.h thtflength.h thcmdline.h \
-  thdatastation.h thgrade.h thlayout.h thsymbolset.h thsymbolsetlist.h \
-  thscrap.h th2ddataobject.h thpoint.h thline.h tharea.h thjoin.h thmap.h \
-  thsurface.h thendscrap.h
+  therion.h thobjectsrc.h thinfnan.h thdb1d.h thobjectid.h thdb3d.h \
+  extern/lxMath.h thdb2d.h thdb2dprj.h thmapstat.h thdb2dpt.h thdb2dlp.h \
+  thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h \
+  thscraplo.h thlayoutln.h thscrapen.h thscraplp.h thsurvey.h thtfpwf.h \
+  thendsurvey.h thexception.h thdata.h thtfangle.h thtf.h thtflength.h \
+  thcmdline.h thdatastation.h thgrade.h thlayout.h thsymbolset.h \
+  thsymbolsetlist.h thscrap.h th2ddataobject.h thpoint.h thline.h \
+  tharea.h thjoin.h thmap.h thimport.h thsurface.h thendscrap.h
 thdata.o: thdata.cxx thdata.h thdataleg.h thparse.h thbuffer.h \
-  thmbuffer.h thobjectname.h therion.h thobjectsrc.h thdataobject.h \
-  thdatabase.h thdb1d.h thobjectid.h thinfnan.h thdb3d.h thdb2d.h \
-  thdb2dprj.h thmapstat.h thdate.h thperson.h thdb2dpt.h thdb2dlp.h \
-  thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h \
-  thscraplo.h thlayoutln.h thscrapen.h thscraplp.h thtfangle.h thtf.h \
-  thtflength.h thtfpwf.h thexception.h thchenc.h thchencdata.h thsurvey.h \
-  thgrade.h thdatareader.h thinput.h
+  thmbuffer.h thobjectname.h therion.h thobjectsrc.h thinfnan.h \
+  thdataobject.h thdatabase.h thdb1d.h thobjectid.h thdb3d.h \
+  extern/lxMath.h thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h \
+  thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h \
+  thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
+  thtfangle.h thtf.h thtflength.h thtfpwf.h thexception.h thchenc.h \
+  thchencdata.h thsurvey.h thgrade.h thdatareader.h thinput.h
 thdataleg.o: thdataleg.cxx thdataleg.h thparse.h thbuffer.h thmbuffer.h \
   thobjectname.h therion.h thobjectsrc.h thinfnan.h
 thdataobject.o: thdataobject.cxx thdataobject.h thdatabase.h thmbuffer.h \
   thbuffer.h thdb1d.h thobjectid.h thinfnan.h thdataleg.h thparse.h \
-  thobjectname.h therion.h thobjectsrc.h thdb3d.h thdb2d.h thdb2dprj.h \
-  thmapstat.h thdate.h thperson.h thdb2dpt.h thdb2dlp.h thdb2dab.h \
-  thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
-  thlayoutln.h thscrapen.h thscraplp.h thexception.h thchenc.h \
-  thchencdata.h thsurvey.h thtfpwf.h
+  thobjectname.h therion.h thobjectsrc.h thdb3d.h extern/lxMath.h \
+  thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h thdb2dpt.h \
+  thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h \
+  thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
+  thexception.h thchenc.h thchencdata.h thsurvey.h thtfpwf.h
 thdatareader.o: thdatareader.cxx thdatareader.h thdatabase.h \
   thdataobject.h thperson.h thparse.h thbuffer.h thmbuffer.h thdate.h \
-  thdataleg.h thobjectname.h therion.h thobjectsrc.h thdb1d.h \
-  thobjectid.h thinfnan.h thdb3d.h thdb2d.h thdb2dprj.h thmapstat.h \
+  thdataleg.h thobjectname.h therion.h thobjectsrc.h thinfnan.h thdb1d.h \
+  thobjectid.h thdb3d.h extern/lxMath.h thdb2d.h thdb2dprj.h thmapstat.h \
   thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h \
   thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
   thinput.h thexception.h
 thdatastation.o: thdatastation.cxx thdatastation.h thdataobject.h \
   thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
   thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
-  thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h thdb2dpt.h \
-  thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h \
-  thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
+  extern/lxMath.h thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h \
+  thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h \
+  thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
   thexception.h thchenc.h thchencdata.h
 thdate.o: thdate.cxx thdate.h thparse.h thbuffer.h thmbuffer.h \
   thexception.h therion.h
 thdb1d.o: thdb1d.cxx thdb1d.h thobjectid.h thinfnan.h thdataleg.h \
   thparse.h thbuffer.h thmbuffer.h thobjectname.h therion.h thobjectsrc.h \
-  thdb3d.h thsurvey.h thdataobject.h thdatabase.h thdb2d.h thdb2dprj.h \
-  thmapstat.h thdate.h thperson.h thdb2dpt.h thdb2dlp.h thdb2dab.h \
-  thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
-  thlayoutln.h thscrapen.h thscraplp.h thtfpwf.h thsvxctrl.h \
-  thexception.h thdata.h thtfangle.h thtf.h thtflength.h thlogfile.h \
-  thsurface.h
+  thdb3d.h extern/lxMath.h thsurvey.h thdataobject.h thdatabase.h \
+  thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h thdb2dpt.h \
+  thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h \
+  thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h thtfpwf.h \
+  thsvxctrl.h thexception.h thdata.h thtfangle.h thtf.h thtflength.h \
+  thlogfile.h thsurface.h
 thdb2d00.o: thdb2d00.cxx thdb2d.h thinfnan.h thdb2dprj.h thparse.h \
   thbuffer.h thmbuffer.h thmapstat.h thdate.h thperson.h thdb2dpt.h \
   thdb2dlp.h thdb2dab.h thobjectname.h therion.h thobjectsrc.h thdb2dji.h \
   thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h \
   thscrapen.h thscraplp.h thdb1d.h thobjectid.h thdataleg.h thdb3d.h \
-  thexception.h thdatabase.h thdataobject.h thtfangle.h thtf.h tharea.h \
-  th2ddataobject.h thmap.h thjoin.h thpoint.h thline.h thscrap.h \
-  thsurvey.h thtfpwf.h thlogfile.h thlayout.h thsymbolset.h \
+  extern/lxMath.h thexception.h thdatabase.h thdataobject.h thtfangle.h \
+  thtf.h tharea.h th2ddataobject.h thmap.h thjoin.h thpoint.h thline.h \
+  thscrap.h thsurvey.h thtfpwf.h thlogfile.h thlayout.h thsymbolset.h \
   thsymbolsetlist.h thconfig.h thinput.h thexporter.h thexport.h \
   thselector.h
 thdb2dab.o: thdb2dab.cxx thdb2dab.h thobjectname.h thmbuffer.h therion.h \
@@ -307,9 +314,4 @@
   thmbuffer.h thmapstat.h thdate.h thperson.h thdb2dpt.h thdb2dlp.h \
   thdb2dab.h thobjectname.h therion.h thobjectsrc.h thdb2dji.h thdb2dmi.h \
   thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h \
-  thscraplp.h thdb1d.h thobjectid.h thdataleg.h thdb3d.h thexception.h \
-  thdatabase.h thdataobject.h thtfangle.h thtf.h tharea.h \
-  th2ddataobject.h thmap.h thjoin.h thpoint.h thline.h thscrap.h \
-  thsurvey.h thtfpwf.h thlogfile.h thlayout.h thsymbolset.h \
-  thsymbolsetlist.h
-thdb2dji.o: thdb2dji.cxx thdb2dji.h thobjectname.h thmbuffer.h therion.h \
+  thscraplp.h thdb1d.h thobjectid.h thdataleg.h thdb3d.h extern/lxMath.h \
